module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.ts");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/action-types.ts":
/*!*****************************!*\
  !*** ./src/action-types.ts ***!
  \*****************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.WORKSPACE_WORKSPACE_STATUS_ACTIVE = 'WORKSPACE_STATUS_ACTIVE';
exports.WORKSPACE_STATUS_SHUTDOWN = 'STATUS_SHUTDOWN';
exports.WORKSPACE_STATUS_PROGRESS = 'STATUS_PROCESS';
exports.ACTION_SELECT_WORKSPACE = 'ACTION_SELECT_WORKSPACE';
exports.ACTION_DELETE_WORKSPACE = 'ACTION_DELETE_WORKSPACE';
exports.ACTION_WORKSPACES_METEOR_SYNC = 'ACTION_WORKSPACES_METEOR_SYNC';
exports.ACTION_WORKSPACES_METEOR_SYNCED = 'ACTION_WORKSPACES_METEOR_SYNCED';
exports.BOX_START = 'BOX_START';
exports.TOGGLE_SIDEBAR = 'TOGGLE_SIDEBAR';
exports.BOX_START_PROGRESS = 'BOX_START_PROGRESS';
exports.BOX_START_DONE = 'BOX_START_DONE';
exports.BOX_START_FAIL = 'BOX_START_FAIL';
exports.BOX_SHUTDOWN = 'BOX_SHUTDOWN';
exports.BOX_SHUTDOWN_PROGRESS = 'BOX_SHUTDOWN_PROGRESS';
exports.BOX_SHUTDOWN_DONE = 'BOX_SHUTDOWN_DONE';
exports.BOX_SHUTDOWN_FAIL = 'BOX_SHUTDOWN_FAIL';
exports.BOX_CREATE = 'BOX_CREATE';
exports.BOX_CREATE_PROGRESS = 'BOX_CREATE_PROGRESS';
exports.BOX_CREATE_DONE = 'BOX_CREATE_DONE';
exports.BOX_CREATE_FAIL = 'BOX_CREATE_FAIL';
exports.BOX_REMOVE = 'BOX_REMOVE';
exports.BOX_REMOVE_PROGRESS = 'BOX_REMOVE_PROGRESS';
exports.BOX_REMOVE_DONE = 'BOX_REMOVE_DONE';
exports.BOX_REMOVE_FAIL = 'BOX_REMOVE_FAIL';


/***/ }),

/***/ "./src/actions/box-actions.ts":
/*!************************************!*\
  !*** ./src/actions/box-actions.ts ***!
  \************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const action_types_1 = __webpack_require__(/*! ../action-types */ "./src/action-types.ts");
const action_types_2 = __webpack_require__(/*! ../action-types */ "./src/action-types.ts");
__webpack_require__(/*! rxjs/add/operator/debounce */ "rxjs/add/operator/debounce");
__webpack_require__(/*! rxjs/add/observable/fromPromise */ "rxjs/add/observable/fromPromise");
exports.sync = (data) => {
    return {
        type: action_types_1.ACTION_WORKSPACES_METEOR_SYNC,
    };
};
function isDuplicateWorkspace(newWorkspace, existingWorkspaces = []) {
    return newWorkspace.id !== null && existingWorkspaces.some(workspace => newWorkspace._id === workspace._id);
}
exports.isDuplicateWorkspace = isDuplicateWorkspace;
exports.box = ({
    start: _id => ({ dispatch, apolloClient: { mutate } }) => {
        return { type: action_types_2.BOX_START_PROGRESS };
    },
    shutdown: _id => ({ dispatch }) => {
        return { type: action_types_2.BOX_SHUTDOWN_PROGRESS };
    },
    remove: id => ({ dispatch, apolloClient: { mutate } }) => {
        return { type: action_types_2.BOX_REMOVE_PROGRESS };
    },
    create: (data) => {
        return { type: action_types_2.BOX_CREATE, param: data };
    },
});
exports.select = workspace => ({
    type: action_types_1.ACTION_SELECT_WORKSPACE,
    workspace,
});
exports.sidebar = state => ({
    state,
    type: action_types_1.TOGGLE_SIDEBAR,
});


/***/ }),

/***/ "./src/actions/index.ts":
/*!******************************!*\
  !*** ./src/actions/index.ts ***!
  \******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./box-actions */ "./src/actions/box-actions.ts"));


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./actions */ "./src/actions/index.ts"));
__export(__webpack_require__(/*! ./reducers */ "./src/reducers/index.ts"));
__export(__webpack_require__(/*! ./action-types */ "./src/action-types.ts"));


/***/ }),

/***/ "./src/reducers/box-reducer.ts":
/*!*************************************!*\
  !*** ./src/reducers/box-reducer.ts ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const action_types_1 = __webpack_require__(/*! ../action-types */ "./src/action-types.ts");
function createBox(state = "", action) {
    switch (action.type) {
        case "BOX_CREATE":
            return true;
        default:
            return state;
    }
}
exports.createBox = createBox;
function toggleSidebar(state = false, action) {
    switch (action.type) {
        case action_types_1.TOGGLE_SIDEBAR:
            return action.state;
        default:
            return state;
    }
}
exports.toggleSidebar = toggleSidebar;
exports.reducers = {
    "@adminide-stack/createBox": createBox,
    "@adminide-stack/sidebar": toggleSidebar,
};


/***/ }),

/***/ "./src/reducers/index.ts":
/*!*******************************!*\
  !*** ./src/reducers/index.ts ***!
  \*******************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(/*! ./box-reducer */ "./src/reducers/box-reducer.ts"));


/***/ }),

/***/ "rxjs/add/observable/fromPromise":
/*!**************************************************!*\
  !*** external "rxjs/add/observable/fromPromise" ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("rxjs/add/observable/fromPromise");

/***/ }),

/***/ "rxjs/add/operator/debounce":
/*!*********************************************!*\
  !*** external "rxjs/add/operator/debounce" ***!
  \*********************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("rxjs/add/operator/debounce");

/***/ })

/******/ });
//# sourceMappingURL=index.js.map